﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace ornek1
{
    public partial class Form1 : Form
    {
        MySqlDataAdapter da;
        public Form1()
        {
            InitializeComponent();

            MySqlConnectionStringBuilder bag = new MySqlConnectionStringBuilder();
            bag.Server = "localhost";
            bag.UserID = "root";
            bag.Password = "123456";
            bag.Database = "hafta13";

            MySqlConnection conn = new MySqlConnection(bag.ToString());

            MySqlCommand cmd_sel = new MySqlCommand("select id,adi,adres,telefon from musteri", conn);
            MySqlCommand cmd_ins = new MySqlCommand("insert into musteri(adi,adres,telefon) values(@adi,@adres,@telefon);", conn);
            cmd_ins.Parameters.Add("@adi", MySqlDbType.VarChar, 45, "adi");
            cmd_ins.Parameters.Add("@adres", MySqlDbType.VarChar, 200, "adres");
            cmd_ins.Parameters.Add("@telefon", MySqlDbType.VarChar, 15, "telefon");

            MySqlCommand cmd_upd = new MySqlCommand("update musteri set adi=@adi,adres=@adres,telefon=@telefon where id=@id;", conn);
            cmd_upd.Parameters.Add("@id", MySqlDbType.Int32, 11, "id");
            cmd_upd.Parameters.Add("@adi", MySqlDbType.VarChar, 45, "adi");
            cmd_upd.Parameters.Add("@adres", MySqlDbType.VarChar, 200, "adres");
            cmd_upd.Parameters.Add("@telefon", MySqlDbType.VarChar, 15, "telefon");

            MySqlCommand cmd_del = new MySqlCommand("delete from musteri where id=@id;", conn);
            cmd_del.Parameters.Add("@id", MySqlDbType.Int32, 11, "id");
            

            da = new MySqlDataAdapter();
            da.SelectCommand = cmd_sel;
            da.InsertCommand = cmd_ins;
            da.DeleteCommand = cmd_del;
            da.UpdateCommand = cmd_upd;

            //dataGridView1.AllowUserToAddRows = true; // yeni satir eklenebilir
            //dataGridView1.AllowUserToDeleteRows = true; // satir silmeye izin ver


            verigetir(); // datagrid doldurulacak

            dataGridView1.Columns[0].Visible = false; // id kolonu gorunmez
           // dataGridView1.Columns[1].ReadOnly = true; // adi kolonu duzenlenemez
            


        }

        DataTable dt;
        private void verigetir()
        {
            dt = new DataTable();
            da.Fill(dt);
            dataGridView1.DataSource = dt;
        
        }

        private void bgetir_Click(object sender, EventArgs e)
        {
            verigetir();
        }

        private void bkaydet_Click(object sender, EventArgs e)
        {
            try
            {
                da.Update(dt);
            }
            catch { }


        }
    }
}
